<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Ins_ExploreArea
 *
 * @author c'y'zhao
 */
class Ins_ExploreArea extends Object_ext{
    
    /**
     * 区域id
     */
    public $areaId = 0;      
    
    /**
     * 区域等级
     */
    public $level = 1;      
    
    /**
     * 探索开始时间
     */
    public $startTs = 0;       
    
    /**
     * 探索结束时间
     */
    public $endTs = 0; 
    
    /**
     * 产出
     * @var type
     */
    public $output_count = 0;

    /**
     * 时间
     * @var type
     */
    public $output_ts = 0;
    
    /**
     * 派遣宠物uid
     * @var type
     */
    #[ArrayType]
    public $explorePetList = array();
    
    /**
     * 未解锁
     * @var type
     */
    //public $unlock = 0;

    /**
     * 构造函数
     * @param type $args
     */
    public function __construct($args = null) {
        if($args !=null){
            parent::__construct($args);
        } else {
            
        }                
    }
    
    /**
     * 配置
     * @return sm_pet_area_level
     */
    public function mo() {
        $mo = GameConfig::pet_area_level_getItem($this->areaId, $this->level);
        my_Assert(null != $mo, ErrCode::err_const_no);
        return $mo;
    }
}
